Package org.springframework.util

# Interface ReflectionUtils.MethodCallback

Enclosing class:
  ReflectionUtils

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface ReflectionUtils.MethodCallback
Action to take on each method.

## Method Summary

Modifier and Type
Method
Description
`void`
`doWith(Method method)`
Perform an operation using the given method.

## Method Details

### doWith

void doWith(Method method) throws IllegalArgumentException, IllegalAccessException
Perform an operation using the given method.

Parameters:
  `method` - the method to operate on
Throws:
  `IllegalArgumentException`
  `IllegalAccessException`